# Update Merchant Information

Note: If a message callback is configured after Weixin Mini Program customer service is turned on,Then WeChat will not send a message to the customer service assistant. If you wish to not handle customer service messages, refer to the section to forward the message to the Customer Service section to continue forwarding the message to a customer service system.

# Dxplaination of Interface Call Request

http请求方式:POST
https://api.weixin.qq.com/shop/account/update_info?access_token=xxxxxxxxx

# Example of request parameters

{
    "service_agent_path": "小程序path",
    "service_agent_phone": "020-888888",
    "service_agent_type": [1,2],

    "default_receiving_address": {
        "receiver_name": "张三",
        "detailed_address": "详细收货地址信息",
        "tel_number": "收货人电话",
        "country": "国家",
        "province": "省份",
        "city": "城市",
        "town": "区县"
    }
}

# Examples of back-up

{
    "errcode": 0,
    "errmsg":"ok"
}

# Dxplaination of request parameters

parameter type Is it compulsory? Introductions
service_agent_path string no Weixin Mini Program path
service_agent_phone string no Customer Service Contact Information
service_agent_type enum[] yes Customer service type, support multiple, 0: Weixin Mini Program customer service (will check whether to open), 1: custom customer service path 2: connected phone
default_receiving_address AddressInfo The default return address is a long time after return, which will allow the user to send the goods to this address.
default_receiving_address.receiver_name string yes Name of the recipient
default_receiving_address.detailed_address string yes Detailed shipping address information
default_receiving_address.tel_number string yes Recipient's mobile phone number
default_receiving_address.country string no country
default_receiving_address.province string yes province
default_receiving_address.city string yes city
default_receiving_address.town string yes area

# Dxplaination of callback parameters

parameter type Introductions
errcode number Error code
errmsg string Error message